$schema: "http://json-schema.org/draft-06/schema#"

title: datastream v1 PostgresqlSourceConfig export schema
description: A gcloud export/import command YAML validation schema.
type: object
required:
- publication
- replicationSlot
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  excludeObjects:
    description: PostgreSQL objects to exclude from the stream.
    $ref: PostgresqlRdbms.yaml
  includeObjects:
    description: PostgreSQL objects to include in the stream.
    $ref: PostgresqlRdbms.yaml
  maxConcurrentBackfillTasks:
    description: |-
      Maximum number of concurrent backfill tasks. The number should be non
      negative. If not set (or set to 0), the system's default value will be
      used.
    type: integer
  publication:
    description: |-
      The name of the publication that includes the set of all tables that are
      defined in the stream's include_objects.
    type: string
  replicationSlot:
    description: |-
      Immutable. The name of the logical replication slot that's configured with
      the pgoutput plugin.
    type: string
